Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

3 messages, 3 authors, 2017-11-06 · open the first message on its own page

Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

From: Daniel Borkmann <daniel@iogearbox.net>
Date: 2017-09-07 09:17:03

On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
From: Naresh Kamboju <redacted>

The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.

Signed-off-by: Naresh Kamboju <redacted>
Looks good, what changed between v1 and v2? Didn't get the cover
letter in case there was one. ;)

Which tree are you targeting? There are usually a lot of changes
in BPF selftests going the usual route via net and net-next tree
as we often require to put test cases along the BPF patches. Given
the merge window now and given one can regard it as a fix, it's
net tree. I'm also ok if Shuah wants to pick it up this window as
test_kmod.sh hasn't been changed in quite a while, so no merge
conflicts expected.

Anyway, for the patch:

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

Thanks!
quoted hunk
---
  tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..a53eb1cb54ef 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()

  	echo "[ JIT enabled:$1 hardened:$2 ]"
  	dmesg -C
-	insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
-	if [ $? -ne 0 ]; then
-		rc=1
+	if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
+		insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
+		if [ $? -ne 0 ]; then
+			rc=1
+		fi
  	fi
  	rmmod  test_bpf 2> /dev/null
  	dmesg | grep FAIL

Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

From: Naresh Kamboju <hidden>
Date: 2017-11-06 15:23:09

On 7 September 2017 at 14:46, Daniel Borkmann [off-list ref] wrote:
On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
quoted
From: Naresh Kamboju <redacted>

The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.

Signed-off-by: Naresh Kamboju <redacted>

Looks good, what changed between v1 and v2? Didn't get the cover
letter in case there was one. ;)
No change for 1/2 to v2 1/2. The only change was to v2 2/2.
Which tree are you targeting? There are usually a lot of changes
in BPF selftests going the usual route via net and net-next tree
as we often require to put test cases along the BPF patches. Given
the merge window now and given one can regard it as a fix, it's
net tree. I'm also ok if Shuah wants to pick it up this window as
test_kmod.sh hasn't been changed in quite a while, so no merge
conflicts expected.
I did not see any conflict for this file (selftests/bpf/test_kmod.sh)
Anyway, for the patch:

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

Thanks!
Thank you.

- Naresh
quoted
---
  tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/tools/testing/selftests/bpf/test_kmod.sh
b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..a53eb1cb54ef 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()

        echo "[ JIT enabled:$1 hardened:$2 ]"
        dmesg -C
-       insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
-       if [ $? -ne 0 ]; then
-               rc=1
+       if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
+               insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
+               if [ $? -ne 0 ]; then
+                       rc=1
+               fi
        fi
        rmmod  test_bpf 2> /dev/null
        dmesg | grep FAIL

Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

From: Shuah Khan <hidden>
Date: 2017-11-06 16:17:03

On 11/06/2017 08:23 AM, Naresh Kamboju wrote:
On 7 September 2017 at 14:46, Daniel Borkmann [off-list ref] wrote:
quoted
On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
quoted
From: Naresh Kamboju <redacted>

The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.

Signed-off-by: Naresh Kamboju <redacted>

Looks good, what changed between v1 and v2? Didn't get the cover
letter in case there was one. ;)
No change for 1/2 to v2 1/2. The only change was to v2 2/2.
quoted
Which tree are you targeting? There are usually a lot of changes
in BPF selftests going the usual route via net and net-next tree
as we often require to put test cases along the BPF patches. Given
the merge window now and given one can regard it as a fix, it's
net tree. I'm also ok if Shuah wants to pick it up this window as
test_kmod.sh hasn't been changed in quite a while, so no merge
conflicts expected.
I did not see any conflict for this file (selftests/bpf/test_kmod.sh)
quoted
Anyway, for the patch:

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

Thanks!
Thank you.

- Naresh
Hi Naresh,

Please rebase and resend both patches with Daniel's Acks.

thanks,
-- Shuah
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help